#include "FiveMac.ch"

function Main()

   local oWnd, oBrw

   LOCAL hIni      := HB_IniRead( "./connect.ini" )
   LOCAL oServer   := NIL
   LOCAL cServer   := hIni["mysql"]["host"],;
         cUser     := hIni["mysql"]["user"],;
         cPassword := hIni["mysql"]["psw"],;
         nPort     := val(hIni["mysql"]["port"]), ;
         cDBName   := hIni["mysql"]["dbname"], ;
         nFlags    := val(hIni["mysql"]["flags"])
   LOCAL aQuery := Array( 12 )
   LOCAL oQry, oErr, cQry
   LOCAL lError := .F.
   LOCAL aColumns, cWhere, cOrder, cLimit
   LOCAL aTables
   
   D_SetCaseSensitive( .T. )
   
   BEGIN SEQUENCE
   
      oServer = TDolphinSrv():New( cServer, ;
                                cUser, ;
                                cPassword, ;
                                nPort, nFlags, cDBName )
   RECOVER USING oErr
     RETURN 
   END
   
   oQry = oServer:Query( "SELECT * FROM clientes limit 1000" )

   MsgInfo( oQry )

   DEFINE WINDOW oWnd TITLE "DBF Browse" ;
      FROM 213, 109 TO 650, 820

  @ 48, 20 BROWSE oBrw ;
      FIELDS oQry:first, ;
	         oQry:last, ;
			 oQry:street, ;
			 oQry:city, ;
			 oQry:state, ;
			 oQry:zip, ;
			 oQry:hiredate;
      HEADERS "First", "Last", "Street", "city", "state", "zip", "hiredate" ;
      OF oWnd SIZE 672, 363 ALIAS oQry

   @ 8,  10 BUTTON "New"    OF oWnd ACTION oBrw:GoTop()
   @ 8, 130 BUTTON "Modify" OF oWnd ACTION oBrw:GoBottom()
   @ 8, 250 BUTTON "Delete" OF oWnd ACTION oBrw:SetColWidth( 2, 300 )
   @ 8, 370 BUTTON "Search" OF oWnd ACTION MsgAlertSheet( oBrw:GetColWidth( 2 ), oWnd:hWnd )
   @ 8, 490 BUTTON "Print"  OF oWnd ACTION ( oBrw:SetGridLines( 2 ), MsgInfo( oBrw:GetGridLines() ) )
   @ 8, 610 BUTTON "Exit"   OF oWnd ACTION oWnd:End()

 //  oBrw:SetColBmp( 1 ) // Column 3 will display images

   ACTIVATE WINDOW oWnd

return nil